# Class RateLimiter

java.lang.Object
org.apache.zookeeper.server.util.RateLimiter

public class RateLimiter extends Object
A class that provides simple interval-based rate limiting implementation.

## Constructor Summary

Constructors
Constructor
Description
`RateLimiter(int rate, long interval, TimeUnit unit)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`allow()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RateLimiter

public RateLimiter(int rate, long interval, TimeUnit unit)

## Method Details

### allow

public boolean allow()